TICKIT_GET_TERM(3)

NAME
tickit_get_term - obtain the terminal from the toplevel instance

SYNOPSIS
    #include <tickit.h>

    TickitTerm *tickit_get_term(Tickit *t);

Link with -ltickit.

DESCRIPTION
tickit_get_term() obtains the terminal instance associated with the toplevel instance, creating it first if necessary. Once created, repeated calls to this function will return the same terminal.

RETURN VALUE
tickit_get_term() returns a terminal instance pointer.

SEE ALSO
tickit_new_stdio(3), tickit_term(7), tickit(7)